OGRE-Next: Ogre::SubStringRef Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::SubStringRef Class Reference
Core » Resources

`#include <OgreHlmsCommon.h>`

## Public Member Functions
| SubStringRef (const String *original, size_t _start, size_t _end)
| SubStringRef (const String *original, size_t start)
| SubStringRef (const String *original, String::const_iterator _start)
String::const_iterator | begin () const
String::const_iterator | end () const
size_t | find (const char *value, size_t pos=0) const
size_t | find (const String &value) const
size_t | findFirstOf (const char *c, size_t pos) const
size_t | getEnd () const
const String & | getOriginalBuffer () const
size_t | getSize () const
size_t | getStart () const
bool | matchEqual (const char *stringCompare) const
void | setEnd (size_t newEnd)
void | setStart (size_t newStart)
bool | startWith (const char *stringCompare) const
bool | startWith (const String &stringCompare) const

## Constructor & Destructor Documentation

## ◆ SubStringRef() [1/3]

Ogre::SubStringRef::SubStringRef | ( | const String * | original,
|  | size_t | start )
| inline

## ◆ SubStringRef() [2/3]

Ogre::SubStringRef::SubStringRef | ( | const String * | original,
|  | size_t | _start,
|  | size_t | _end )
| inline

## ◆ SubStringRef() [3/3]

Ogre::SubStringRef::SubStringRef | ( | const String * | original,
|  | String::const_iterator | _start )
| inline

References begin().

## Member Function Documentation

## ◆ begin()

String::const_iterator Ogre::SubStringRef::begin | ( |  | ) | const
| inline

Referenced by SubStringRef().

## ◆ end()

String::const_iterator Ogre::SubStringRef::end | ( |  | ) | const
| inline

## ◆ find() [1/2]

size_t Ogre::SubStringRef::find | ( | const char * | value,
|  | size_t | pos = 0 ) const
| inline

## ◆ find() [2/2]

size_t Ogre::SubStringRef::find | ( | const String & | value | ) | const
| inline

## ◆ findFirstOf()

size_t Ogre::SubStringRef::findFirstOf | ( | const char * | c,
|  | size_t | pos ) const
| inline

## ◆ getEnd()

size_t Ogre::SubStringRef::getEnd | ( |  | ) | const
| inline

## ◆ getOriginalBuffer()

const String & Ogre::SubStringRef::getOriginalBuffer | ( |  | ) | const
| inline

## ◆ getSize()

size_t Ogre::SubStringRef::getSize | ( |  | ) | const
| inline

## ◆ getStart()

size_t Ogre::SubStringRef::getStart | ( |  | ) | const
| inline

## ◆ matchEqual()

bool Ogre::SubStringRef::matchEqual | ( | const char * | stringCompare | ) | const
| inline

## ◆ setEnd()

void Ogre::SubStringRef::setEnd | ( | size_t | newEnd | ) |
| inline

## ◆ setStart()

void Ogre::SubStringRef::setStart | ( | size_t | newStart | ) |
| inline

## ◆ startWith() [1/2]

bool Ogre::SubStringRef::startWith | ( | const char * | stringCompare | ) | const
| inline

## ◆ startWith() [2/2]

bool Ogre::SubStringRef::startWith | ( | const String & | stringCompare | ) | const
| inline

The documentation for this class was generated from the following file:

- OgreHlmsCommon.h